#!/usr/bin/env bash
# Copyright Istio Authors
#   Licensed under the Apache License, Version 2.0 (the "License");
#   you may not use this file except in compliance with the License.
#   You may obtain a copy of the License at
#
#       http://www.apache.org/licenses/LICENSE-2.0
#
#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#   limitations under the License.

set -eu
# Everything but operator
for api in networking security type analysis authentication meta telemetry extensions mesh mcp; do
  if go list -f '{{ join .Deps "\n" }}' ./"${api}"/...  |grep  '^k8s.io/'; then
    echo "${api} imports Kubernetes"
    exit 1
  fi
done
